Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bmserv.model.handlers
Class TagHandler

    java.lang.Object
      bmserv.model.handlers.TagHandler

    public class TagHandler

extends java.lang.Object

Gestion des instances de `Tag`. `TagHandler` implemente les methodes CRUD sur les `Tags`.

Author:
  ndelafor

Constructor Summary
`TagHandler()`

Method Summary
`void` | `createTag(java.lang.String label)` Creation d'un nouveau `Tag` et generation d'un nouvel ID en fonction des parametres.
`Tag` | `getTagFromId(java.lang.String tagid)` Permet de recuperer une instance de `Tag` a partir de son ID
`java.util.List<Tag>` | `getTags()` Renvoie la liste de tous les `Tag`
`void` | `print()` Methode utilitaire pour afficher le nombre d'éléments contenus dans la liste.
`boolean` | `removeTag(Tag t)`
`void` | `updateTagFromId(java.lang.String oldtagid, java.lang.String newlabel)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagHandler

    public TagHandler()

Method Detail

### createTag

    public void createTag(java.lang.String label)
                   throws java.io.UnsupportedEncodingException

  Creation d'un nouveau `Tag` et generation d'un nouvel ID en fonction des parametres.

  Parameters:
    `label` - intitule du `Tag`, ce label est encode au format URLEncode pour la creation de l'ID (voir la methode `Tag.createTagId(label)`.
  Throws:
    `java.io.UnsupportedEncodingException`

### getTags

    public java.util.List<Tag> getTags()

  Renvoie la liste de tous les `Tag`

  Returns:
    une collection de `Tags`

### getTagFromId

    public Tag getTagFromId(java.lang.String tagid)

  Permet de recuperer une instance de `Tag` a partir de son ID

  Parameters:
    `tagid` - l'ID du `Tag` a recuperer
  Returns:
    le Tag

### updateTagFromId

    public void updateTagFromId(java.lang.String oldtagid,
                                java.lang.String newlabel)

### removeTag

    public boolean removeTag(Tag t)

### print

    public void print()

  Methode utilitaire pour afficher le nombre d'éléments contenus dans la liste.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD